CloudLinux - CloudLinux Blog - Major vulnerability CVE-2017-2647 found in Linux kernels that affects CentOS, RHEL, CloudLinux OS 6 & 7
RSS

Major vulnerability CVE-2017-2647 found in Linux kernels that affects CentOS, RHEL, CloudLinux OS 6 & 7

Major vulnerability CVE-2017-2647 found in Linux kernels that affects CentOS, RHEL, CloudLinux OS 6 & 7

A new major local privilege escalation vulnerability in the Linux kernel was just disclosed (see CVE-2017-2647). As reported, it’s a null pointer dereference vulnerability that can be triggered in keyring_search_iterator in keyring.c if type->match is NULL by an unprivileged local user. It is possible that an attacker could crash the system or escalate privileges using this vulnerability.

This vulnerability affects CentOS, RHEL, CloudLinux OS 6 and 7 kernels, possibly others. The KernelCare team has released some patches, with the rest released by the end of the day (Wednesday, March 29th, 2017). Major Linux distributions are working on releasing kernel updates with a fix as well, but if you run KernelCare, you can livepatch your servers and protect yourself from critical vulnerabilities, including this one, WITHOUT any downtime.

When you install KernelCare, whether a paid or a trial version, it will bring your kernels up-to-date with all patches instantly. It installs with a single line of code in just minutes, without a reboot, and it will ensure you never miss another kernel security patch as they will be automatically installed to your live kernel going forward.

If you’d like to update your kernels as soon as the fix is released, you can get KernelCare for free for 30 days here. To learn more about KernelCare, visit this page.

 

Just released, pricing announced: Imunify360 secur...
LVE Manager version 2 is recommended for cPanel 64
 

Comments

No comments made yet. Be the first to submit a comment
Already Registered? Login Here
Guest
Tuesday, 17 September 2019

Captcha Image